#ifndef LOCODEMO_STRUCT_H
#define LOCODEMO_STRUCT_H

/* Taille max nom d'un poster */
#define MAX_POSTER_NAME 32
 
/* Nom d'un poster */
typedef struct POSTER_NAME{
  char name[MAX_POSTER_NAME];
} POSTER_NAME;
 

/* Parametres d'asservissement du robot */
typedef struct CMD_PARAM_STR {
  double vMax;                /* Vitesse lineaire max */
  double wMax;                /* Vitesse angulaire max */
  double accelLinMax;         /* Acceleration  lineaire max */
  double accelAngMax;         /* Acceleration  angulaire max */
  double kpLongit;            /* Coeff proportionnel longitudinal */
  double kpTransv;            /* Coeff proportionnel transversal */
}CMD_PARAM_STR;
 
/* Surveillance */
/* Elle se declanche si le point est a gauche de la droite orientee */
typedef struct SURV_LINE_STR {
  double pt1[2];              /* 1er point de la droite */
  double pt2[2];              /* 2eme point de la droite */
}SURV_LINE_STR;
 
#endif
